Error
A valid request URL is required to generate request examples[
{
"id": "<string>",
"name": "<string>",
"version_control_enabled": true,
"connections": [
{
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
}
],
"jobs": [
{
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
}
],
"transformations": [
{
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
}
],
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"can_update": true,
"can_delete": true,
"can_execute": true,
"can_remove": true
}
}
]{
"code": 123,
"message": "<string>",
"error": "<string>"
}List All Workspaces
GET
/
v2
/
workspaces
Error
A valid request URL is required to generate request examples[
{
"id": "<string>",
"name": "<string>",
"version_control_enabled": true,
"connections": [
{
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
}
],
"jobs": [
{
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
}
],
"transformations": [
{
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
}
],
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"can_update": true,
"can_delete": true,
"can_execute": true,
"can_remove": true
}
}
]{
"code": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
ApiKeyAuthBasicAuth
A Sync user auth token. Generate one via POST /v2/users/generate-token.
Query Parameters
Filter expression applied to the collection, on endpoints that support filtering. Filters on resource fields such as id and name.
Sort expression applied to the collection, on endpoints that support sorting (e.g. a field name optionally followed by a direction).
Response
One or more workspaces